Ext.define('SecondDemo.view.employee.List', {
    extend: 'Ext.grid.Panel',
    xtype: 'mainlist',

    requires: [
        'SecondDemo.store.Employee',
        'SecondDemo.view.employee.ListController',
        'Ext.toolbar.Toolbar'
    ],

    controller: 'employee-list',

    title: 'Employee',

    layout: 'fit',

    plugins: {
        ptype: 'rowediting',
        autoCancel: false,
        clicksToEdit: 1
    },

    tools: [
        { iconCls: 'x-fa fa-plus', handler: 'onNewClick' },
        //{ text: 'Edit', iconCls: 'x-fa fa-pencil' },
        { iconCls: 'x-fa fa-minus', handler: 'onDeleteClick' },
        { iconCls: 'x-fa fa-floppy-o', handler: 'onSaveClick' },
        { iconCls: 'x-fa fa-undo', handler: 'onCancelClick' },
        { iconCls: 'x-fa fa-print', handler: 'onPrintClick' }

],

    dockedItems : {
        xtype: 'toolbar',
        dock: 'top',        
        buttonsAlign: 'right',
        items: [
            { reference: 'search', xtype: 'textfield', flex: 1 },
            { iconCls: 'x-fa fa-search', handler: 'onSearchClick' }
        ]
    },

    store: {
        type: 'employee'
    },

    columns: [
        { text: 'First name',  dataIndex: 'FIRST_NAME', flex: 1, editor: { xtype: 'textfield', allowBlank: false}, formatter: 'htmlEncode' },
        { text: 'Last name', dataIndex: 'LAST_NAME', flex: 1, editor: { xtype: 'textfield', allowBlank: false}, formatter: 'htmlEncode' },
        { text: 'Phone ext.', dataIndex: 'PHONE_EXT', flex: 1, editor: 'numberfield' },
        { text: 'Hire date', dataIndex: 'HIRE_DATE', flex: 1, xtype:'datecolumn', format:'d/m/Y', editor: { xtype: 'datefield', allowBlank: false } },
        { text: 'Salary', dataIndex: 'SALARY', flex: 1, xtype: 'numbercolumn', format:'0.00', align: 'right' }
    ]/*,

    listeners: {
        select: 'onItemSelected'
    }*/
});
