/**
 * This class is the main view for the application. It is specified in app.js as the
 * "mainView" property. That setting automatically applies the "viewport"
 * plugin causing this view to become the body element (i.e., the viewport).
 *
 * TODO - Replace this content of this view to suite the needs of your application.
 */
Ext.define('SecondDemo.view.main.Main', {
    extend: 'Ext.tab.Panel',
    xtype: 'app-main',
    plugins: 'viewport',

    deferredRender: false,

    requires: [
        'Ext.plugin.Viewport',
        'Ext.window.MessageBox',

        'SecondDemo.view.main.MainController',
        'SecondDemo.view.employee.List',
        'SecondDemo.view.template.List'
    ],

    controller: 'main',
//    ui: 'navigation',

    tabBarHeaderPosition: 1,
    titleRotation: 0,
    tabRotation: 0,

    header: {
        layout: {
            align: 'stretchmax'
        },
        iconCls: 'x-fa fa-th-list'
    },

    tabBar: {
        flex: 1,
        layout: {
            align: 'stretch',
            overflowHandler: 'none'
        }
    },

    responsiveConfig: {
        tall: {
            headerPosition: 'top',
            title: {
                text: 'Demo (top)',
                flex: 0
            }
        },
        wide: {
            headerPosition: 'left',
            title: {
                text: 'Demo (left)',
                flex: 0
            }
        }
    },

    defaults: {
        bodyPadding: 20,
        tabConfig: {
            plugins: 'responsive',
            responsiveConfig: {
                wide: {
                    iconAlign: 'left',
                    textAlign: 'left'
                },
                tall: {
                    iconAlign: 'top',
                    textAlign: 'center',
                    width: 120
                }
            }
        }
    },

    items: [{
        title: 'Home',
        iconCls: 'x-fa fa-home',
        layout: 'fit',
        items: [{
            xtype: 'mainlist'
        }]
    }, {
        title: 'Template',
        iconCls: 'x-fa fa-user',
        layout: 'fit',
        items: [{
            xtype: 'tpllist'
        }]
    }, {
        title: 'Groups',
        iconCls: 'x-fa fa-users',
        html: 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<br><br>' +
            '<div>Dato super segreto: <b><span id="secret"></span></b></div>'
    }]
});
