Ext.define('SecondDemo.view.template.ListController', {
    extend: 'Ext.app.ViewController',

    alias: 'controller.template-list',

    onAjaxCall() {
        Ext.Ajax.request({
            url: '/data/config.txt'
        }).then(response => {
            const url = '/data/' + response.responseText;
            return Ext.Ajax.request({ url });
        }).then(response => {
            const person = Ext.decode(response.responseText);
            const form = this.getView().getForm();

            form.setValues(person);
        });
    },

    async onAsyncAwaitCall() {

        const configReponse = await Ext.Ajax.request({
            url: '/data/config.txt'
        });

        const personPesponse = await Ext.Ajax.request({
            url: '/data/' + configReponse.responseText
        });

        const person = Ext.decode(personPesponse.responseText);
        const form = this.getView().getForm();

        form.setValues(person);

    },

    onCountEmployee() {
        const store = Ext.create('Ext.data.Store', {
            model: 'SecondDemo.model.Employee'
        });

        store.load({
            callback(records, operation, success) {
                if (success) {
                    Ext.Msg.alert('Demo', 'Records: ' + records.length);
                }

            }
        });
    },

    async onCountEmployeeAsync() {
        const store = Ext.create('SecondDemo.libs.Store', {
            model: 'SecondDemo.model.Employee'
        });

        const records = await store.asyncLoad();
        Ext.Msg.alert('Demo', 'Records: ' + records.length);
    },

    init() {
        this.valueField = this.lookup('value');
    }

    
});
